package com.cool.store.enums;

import com.alibaba.fastjson.JSONObject;

/**
 * @Author: young.yu
 * @Date: 2023-07-19  16:49
 * @Description:
 */
public enum FeiShuNoticeMsgEnum {

    common_notice("工作台通知", "{0}", "img_v2_45d7a901-1eab-498b-a760-b38d287f0c1g", "1567d83b966f2d312fd7fcd2e72dbce9"),
    ALLOCATION_INVESTMENT_MANAGER("分配招商经理", "有新的线索于 {0} 分配给您，线索信息 {1} 手机号 {2}，请及时跟进", "img_v2_33296002-829e-490e-bd11-0d9ae763a67g", "1567d83b966f2d312fd7fcd2e72dbce9"),
    TRANS_INVESTMENT_MANAGER("转让招商经理", "有新的线索于 {0} 转让给您，线索信息 {1} 手机号 {2}，请及时跟进", "img_v2_33296002-829e-490e-bd11-0d9ae763a67g", "1567d83b966f2d312fd7fcd2e72dbce9"),
    BATCH_TRANS_INVESTMENT_MANAGER("收到新线索", "有{0}条新线索于 {1} 转让给您，请及时跟进", "img_v2_33296002-829e-490e-bd11-0d9ae763a67g", "1567d83b966f2d312fd7fcd2e72dbce9"),
    EC_RECEIVE_LINE("收到EC新线索", "有{0}条新线索于EC同步给您，线索信息 {1}，请及时跟进", "img_v2_33296002-829e-490e-bd11-0d9ae763a67g", "1567d83b966f2d312fd7fcd2e72dbce9"),
    INTENTION_APPLY("加盟意向申请", "您有一个【加盟意向申请】待审核，申请人 {0} 手机号 {1} 于 {2} 提交加盟意向申请，请及时处理", "img_v2_c909097d-67d1-4c11-a911-a2584b67ca6g", "1567d83b966f2d312fd7fcd2e72dbce9"),
    FOLLOW_TASK("线索跟进任务", "{0}", "img_v2_1960b7ef-8c4e-4c3d-8b67-3d918a85578g", "1567d83b966f2d312fd7fcd2e72dbce9"),
    INTERVIEW_APPOINTMENT("面试预约申请", "您有一个【面试预约申请】待处理，预约人 {0}  手机号 {1} ，预约面试时间 {2} ","img_v2_107bb06b-2a7a-43e1-a6ae-e5d2f2dae17g", "1567d83b966f2d312fd7fcd2e72dbce9"),
    EXHIBITION_COLLABORATOR("会销协作通知", "{0} 已将您添加为【{1}】的会销协作人，日期为 {2}，地点为“{3}” ","img_v3_026c_d561bb71-f085-40ca-9c36-5fe134cacd2g", "1567d83b966f2d312fd7fcd2e72dbce9", "/joint-sales/manage-detail?id={0}", "/mobile/joint-sales/manage-detail?id={0}"),
    PARTNER_SIGNUP_EXHIBITION("线索已报名会销", "您跟进的线索客户{0} {1} 已报名于 {2} 举办的【{3}】 ，地点为“{4}”","img_v3_026c_5bcf178d-19e6-4445-9677-f748a3f916fg", "1567d83b966f2d312fd7fcd2e72dbce9", "/clue/details?lineId={0}&clueType=private&partnerId={1}"),
    ;

    private String title;
    private String content;
    private String imageMediaId;
    private String templateCode;
    //卡片对应的跳转地址
    private String PCPath;
    private String mobilePath;

    FeiShuNoticeMsgEnum(String title, String content, String imageMediaId, String templateCode, String pcPath) {
        this.title = title;
        this.content = content;
        this.imageMediaId = imageMediaId;
        this.templateCode = templateCode;
        this.PCPath = pcPath;
        this.mobilePath = "/mobile";
    }

    FeiShuNoticeMsgEnum(String title, String content, String imageMediaId, String templateCode) {
        this.title = title;
        this.content = content;
        this.imageMediaId = imageMediaId;
        this.templateCode = templateCode;
        this.PCPath = "/work/bench";
        this.mobilePath = "/mobile";
    }

    FeiShuNoticeMsgEnum(String title, String content, String imageMediaId, String templateCode, String pcPath, String mobilePath) {
        this.title = title;
        this.content = content;
        this.imageMediaId = imageMediaId;
        this.templateCode = templateCode;
        this.PCPath = pcPath;
        this.mobilePath = mobilePath;
    }

    public String getTitle() {
        return title;
    }

    public String getContent() {
        return content;
    }

    public String getImageMediaId() {
        return imageMediaId;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public String getPCPath() {
        return PCPath;
    }

    public String getMobilePath() {
        return mobilePath;
    }

    public JSONObject getMessageObject() {
        JSONObject object = new JSONObject();
        object.put("name", this.title);
        object.put("imageMediaId", this.imageMediaId);
        return object;
    }
}
